Skip to content
Start here

Edit Credential Set

client.vulnerabilityScanner.credentialSets.edit(stringcredentialSetId, CredentialSetEditParams { account_id, name } params, RequestOptionsoptions?): CredentialSetEditResponse { id, name }
PATCH/accounts/{account_id}/vuln_scanner/credential_sets/{credential_set_id}

Updates a credential set with only the provided fields; omitted fields remain unchanged.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
credentialSetId: string
formatuuid
params: CredentialSetEditParams { account_id, name }
account_id?: string

Path param: Identifier.

maxLength32
name?: string

Body param: Human-readable name.

ReturnsExpand Collapse
CredentialSetEditResponse { id, name }
id: string

Credential set identifier.

formatuuid
name: string

Human-readable name.

Edit Credential Set

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.vulnerabilityScanner.credentialSets.edit(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(response.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "Production API credentials"
  },
  "result_info": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "Production API credentials"
  },
  "result_info": {}
}